dbXML API

## org.dbxml.core.corba.db
Class BufferHelper

    java.lang.Object
      |
      +--org.dbxml.core.corba.db.BufferHelper

public class BufferHelper
extends java.lang.Object

Generated from IDL definition of alias "Buffer"

Author:
  JacORB IDL compiler

Constructor Summary
`BufferHelper()`

Method Summary
`static byte[]` `extract(org.omg.CORBA.Any any)`
`static java.lang.String` `id()`
`static void` `insert(org.omg.CORBA.Any any, byte[] s)`
`static byte[]` `read(org.omg.CORBA.portable.InputStream _in)`
`static org.omg.CORBA.TypeCode` `type()`
`static void` `write(org.omg.CORBA.portable.OutputStream _out, byte[] _s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferHelper

    public BufferHelper()

Method Detail

### insert

    public static void insert(org.omg.CORBA.Any any,
                              byte[] s)

### extract

    public static byte[] extract(org.omg.CORBA.Any any)

### type

    public static org.omg.CORBA.TypeCode type()

### id

    public static java.lang.String id()

### read

    public static byte[] read(org.omg.CORBA.portable.InputStream _in)

### write

    public static void write(org.omg.CORBA.portable.OutputStream _out,
                             byte[] _s)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved